changeset 1045:a5b0f0a11792

Add BUILD_RW_SYSTEM_IMAGE=1 config option to build 2 gig writeable HDA (new stage named rw-system-image-$ARCH).
author Rob Landley <rob@landley.net>
date Sat, 01 May 2010 01:00:26 -0500
parents c1556be739ba
children 14bd42f4a47e
files build.sh config sources/more/buildall.sh
diffstat 3 files changed, 15 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Sat May 01 00:58:02 2010 -0500
+++ b/build.sh	Sat May 01 01:00:26 2010 -0500
@@ -105,3 +105,11 @@
   time ./system-image.sh $1 || exit 1
 fi
 
+if [ ! -z "$BUILD_RW_SYSTEM_IMAGE" ] && not_already rw-image
+then
+  # Optimization: don't rebuild kernel if we don't need to.
+  mkdir -p "$BUILD/rw-system-image-$ARCH" &&
+  cp "$BUILD/system-image-$ARCH"/zImage-* "$BUILD/rw-system-image-$ARCH"
+
+  STAGE_NAME=rw-system-image SYSIMAGE_TYPE=ext2 SYSIMAGE_HDA_MEGS=2048 time ./system-image.sh $1 || exit 1
+fi
--- a/config	Sat May 01 00:58:02 2010 -0500
+++ b/config	Sat May 01 01:00:26 2010 -0500
@@ -43,6 +43,11 @@
 
 # export SYSIMAGE_HDA_MEGS=64
 
+# This tells build.sh to create a rw-system-image with SYSIMAGE_TYPE=ext2
+# and SYSIMAGE_HDA_MEGS=2048.
+
+# export BUILD_RW_SYSTEM_IMAGE=1
+
 # Set this to use symlinks instead of hard links when creating temporary copies
 # of the source packages (in setupfor).  This is slower and uses more inodes,
 # but allows the extracted source packages to live in a different filesystem
@@ -108,4 +113,4 @@
 # This isn't actually one of our variables, but a number of packages listen
 # to this to add extra debug info to their binaries.  (Use with SKIP_STRIP)
 
-# export CFLAGS="-g"
+# export CFLAGS="-g -pipe"
--- a/sources/more/buildall.sh	Sat May 01 00:58:02 2010 -0500
+++ b/sources/more/buildall.sh	Sat May 01 01:00:26 2010 -0500
@@ -45,7 +45,7 @@
 
 for i in ${ARCHES}
 do
-  maybe_fork "./build.sh $i 2>&1 | tee build/logs/build-${i}.txt | maybe_quiet"
+  maybe_fork "BUILD_RW_SYSTEM_IMAGE=1 ./build.sh $i 2>&1 | tee build/logs/build-${i}.txt | maybe_quiet"
 done
 
 wait